CUTLASS: cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout > Struct Template Reference

< Layout function

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout >:
[legend]

## Public Types
using | TensorView = TensorView< Element, Layout >

## Public Member Functions
| TensorUpdateOffDiagonalFunc (TensorView const &view_=TensorView(), Element other_=Element(0))
void | operator() (Coord< Layout::kRank > const &coord) const

## Public Attributes
TensorView | view
Element | other

## Member Typedef Documentation

template<typename Element, typename Layout>

using cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout >::TensorView = TensorView<Element, Layout>

## Constructor & Destructor Documentation

template<typename Element, typename Layout>

cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout >::TensorUpdateOffDiagonalFunc | ( | TensorView const & | view_ = `TensorView()`,
|  | Element | other_ = `Element(0)`
| ) |  |
| inline

## Member Function Documentation

template<typename Element, typename Layout>

void cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout >::operator() | ( | Coord< Layout::kRank > const & | coord | ) | const
| inline

## Member Data Documentation

template<typename Element, typename Layout>

Element cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout >::other

template<typename Element, typename Layout>

TensorView cutlass::reference::host::detail::TensorUpdateOffDiagonalFunc< Element, Layout >::view

The documentation for this struct was generated from the following file:

- host/tensor_fill.h